Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 10/16/2023 in all areas

  1. Unfortunately not with the methods shown above. It might be possible to recreate an alert box with DCL and include text colours and highlights - would take a little time and thought to do so - but then you'd be wanting to ask will it be worth the effort to make a custom alert box for the amount of use it gets? Not something I have ever done though
    1 point
  2. Could also do polyline as a wildcard, *, should get LW and 3D polylines (setq MySS (ssget "X" (list '(0 . "*POLYLINE,CIRCLE,ARC,RECTANGLE") (cons 8 layer_name)))) (tip for the OP, type this in the command line and it will return the entity description, select the type you want and copy the entity type as required: (Entget(Car(Entsel "Select Object"))) )
    1 point
  3. You forgot this put before hatch line. (setvar 'clayer lay_name) The filter for a 3dpoly is "Polyline".
    1 point
  4. This lisp almost working, how to make it work on 3dpolylines? This time i have attached dwg example. (defun c:test ( / Lay_Old MySS target_layers ) (setq Lay_Old (getvar 'clayer)) ; Record the current layer (setvar 'clayer "Features_Hatch") ; Set the layer to Features_Hatch. This layer must exist else an error will occur ; Define a list of layers for hatching (setq target_layers '("Layer1" "Layer2" "Layer3")) (foreach layer_name target_layers (setq MySS (ssget "X" (list '(0 . "LWPOLYLINE,CIRCLE,ARC,RECTANGLE") (cons 8 layer_name)))) (if MySS (progn (setq i 0) (repeat (sslength MySS) (setq ename (ssname MySS i)) (command "-hatch" "S" ename "" "P" "Solid" "") (setq i (1+ i)) ) ) ) ) (setvar 'clayer Lay_Old) ; Reset the layer to the original current layer (princ) ; End quietly ) test.dwg
    1 point
×
×
  • Create New...